Package io.papermc.paper.event.player

# Class PlayerSignCommandPreprocessEvent

java.lang.Object
org.bukkit.event.Event
org.bukkit.event.player.PlayerEvent
org.bukkit.event.player.PlayerCommandPreprocessEvent
io.papermc.paper.event.player.PlayerSignCommandPreprocessEvent

All Implemented Interfaces:
  `Cancellable`

public class PlayerSignCommandPreprocessEvent extends PlayerCommandPreprocessEvent
Called when a `Player` clicks a sign that causes a command to run.

This command is run with elevated permissions which allows players to access commands on signs they wouldn't normally be able to run.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.bukkit.event.Event

`Event.Result`

## Field Summary

### Fields inherited from class org.bukkit.event.player.PlayerEvent

`player`

## Constructor Summary

Constructors
Constructor
Description
`PlayerSignCommandPreprocessEvent(@NotNull Player player, @NotNull String message, @NotNull Set<Player> recipients, @NotNull Sign sign)`

## Method Summary

Modifier and Type
Method
Description
`@NotNull Sign`
`getSign()`
Gets the sign that the command originated from.

### Methods inherited from class org.bukkit.event.player.PlayerCommandPreprocessEvent

`getHandlerList, getHandlers, getMessage, getRecipients, isCancelled, setCancelled, setMessage, setPlayer`

### Methods inherited from class org.bukkit.event.player.PlayerEvent

`getPlayer`

### Methods inherited from class org.bukkit.event.Event

`callEvent, getEventName, isAsynchronous`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PlayerSignCommandPreprocessEvent

public PlayerSignCommandPreprocessEvent(@NotNull @NotNull Player player, @NotNull @NotNull String message, @NotNull @NotNull Set<Player> recipients, @NotNull @NotNull Sign sign)

## Method Details

### getSign

@NotNull public @NotNull Sign getSign()
Gets the sign that the command originated from.

Returns:
  the sign